﻿.body-custom-top {
    background-color: #1a1a1a;
    min-height: 25px;
    padding: 7px 16px;
    border-radius: 8px 8px 0 0;

    display: flex;
    align-items: center;
}

.icon-card-top {
    font-size: x-large !important;
    display: flex;
    align-items: center;
}

.top-card-title {
    font-size: 13px;
    letter-spacing: 0.5px;
    margin-top: 2px;
    margin-bottom: 0;
    line-height: 1;
}

.card-back-chart {
    background-color: #1a1a1a !important;
    color: white !important;
    border-radius: 4px;
}
.card-height-equal {
    min-height: 450px !important;
}
.card-height-equal-220 {
    min-height: 220px !important;
}
.card-height-equal-330 {
    min-height: 330px !important;
}
.small-input {
    font-size: 11px !important;
    padding: 4px 8px !important;
    height: 30px !important;
}
.avatar-custom-sm{
    height: 20px;
    width: 22px;
}

.search-custom-orange {
    background-color: orange;
    content: "\eb1c";
    padding: 4px;
    border-radius: 4px;
    color: white;
    cursor: pointer;
}
.check-box-cursor{
    cursor:pointer;
}

#custom-legend li {
    font-size: 14px;
    color: #ccc;
}

.tooltip-left-wrap .tooltip-inner {
    text-align: left !important;
}

.tooltip-w-300 .tooltip-inner {
    width: 300px;
    max-width: 300px;
}

html[data-bs-theme="dark"] .bg-row-bank-gray td {
    background-color: #999999 !important;
    color: #333333 !important;
    pointer-events: none;
    padding: 4px;
}

html[data-bs-theme="light"] .bg-row-bank-gray td {
    background-color: #D1D1D1 !important;
    color: #333333 !important;
    pointer-events: none;
    padding: 4px;
}

html[data-bs-theme="dark"] .readonly-select {
    background-color: white !important;
    color: #1a1a1a !important;
    pointer-events: none !important;
}

html[data-bs-theme="light"] .readonly-select {
    background-color: #f6f7fb !important;
    pointer-events: none !important;
}

html[data-bs-theme="dark"] .readonly-select {
    background-color: white !important;
    color: #1a1a1a !important;
    pointer-events: none !important;
}

html[data-bs-theme="light"] .readonly-select {
    background-color: #f6f7fb !important;
    pointer-events: none !important;
}
html[data-bs-theme="dark"] .text-danger-custom {
    background-color: white !important;
    color: red !important;
    pointer-events: none !important;
}

html[data-bs-theme="light"] .text-danger-custom {
    background-color: #f6f7fb !important;
    color: red !important;
    pointer-events: none !important;
}

.icon-row-bank {
    top: 2px !important;
    position: relative !important;
}

.avatar-xxxs {
    width: 12px;
    height: 12px;
    position: relative;
    top: -1px;
}

.avatar-md-checkbox {
    height: 20px;
    height: 1.25rem;
    width: 36px;
    width: 2.25rem;
}

.th-icon-align {
    vertical-align: middle;
    position: relative;
    top: -2px;
}

.table-scroll-custom {
    max-height:350px;
    overflow-y: auto;
}
.table-scroll-custom table {
    border-collapse: separate !important;
    border-spacing: 0;
}

.table-scroll-custom thead {
    position: sticky;
    top: 0;
    z-index: 10;
}
.table-scroll-custom thead th {
    position: sticky;
    z-index: 2;
    background: #212529;
    color: #fff;
    border-bottom: 1px solid #495057;
    background-clip: padding-box;
}
.table-scroll-custom thead::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -1px;
    height: 2px;
    background: #212529;
}

/* Header row pertama */
.table-scroll-custom thead tr:nth-child(1) th {
    top: 0;
}

/* Header total row */
.table-scroll-custom thead tr:nth-child(2) th {
    top: 41px;
}
.table-scroll-custom td,
.table-scroll-custom th {
    background-clip: padding-box;
}

.thead-dark th {
    background-color: rgb(49,58,70) !important;
    color: rgb(255,255,255) !important;
}


.thead-light th {
    background-color: #d6d9de !important;
    color: #313a46 !important;
}

.text-gray {
    color: lightgray !important;
}

.action-custom-btn {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    flex-shrink: 0;
}

.action-custom-icon {
    width: 10px;
    height: 10px;
    object-fit: contain;
}

.dropdown-toggle-no-arrow::after {
    display: none !important;
}

.min-h-100px {
    min-height: 100px !important;
}

.date-range-sm-custom{
    padding: 5px 25px 5px 10px !important;
}

.py-0_5 {
    padding-top: 3px !important;
    padding-top: 0.1875rem !important;
    padding-bottom: 3px !important;
    padding-bottom: 0.1875rem !important;
}

.w-80px {
    width: 80px !important;
}

.w-120px {
    width: 120px !important;
}

.btn-search-sm {
    width: 30px;
    height: 30px;
}

.btn-search-lg {
    width: 37px;
    height: 37px;
}

.dt-column-header {
    display: block !important;
}

th.dt-orderable-none .dt-column-order {
    display: none !important;
}